Subject: Good news!
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 6 May 2012 14:23:48 -0400 (EDT)

Greetings all --

Sara Rath is very interested in being our Guest Speaker for this year's Walden West Festival.  She replied to my e-mail sent through the UW Press and it looks like WWF will fit into her schedule, especially since she has a new book just out which I plan to read, along with some of her other works.  I have one of her poetry collections but nothing else.  I told Sara that we are having a Board Meeting on June 3rd and Walden West planning is on the agenda.

JR